Create a session
curl --request POST \
--url https://{host}/primula/api/v3/sessions \
--header 'Content-Type: application/json' \
--data '
{
"username": "example.user",
"password": "<your-password>"
}
'import requests
url = "https://{host}/primula/api/v3/sessions"
payload = {
"username": "example.user",
"password": "<your-password>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({username: 'example.user', password: '<your-password>'})
};
fetch('https://{host}/primula/api/v3/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/primula/api/v3/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'username' => 'example.user',
'password' => '<your-password>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/primula/api/v3/sessions"
payload := strings.NewReader("{\n \"username\": \"example.user\",\n \"password\": \"<your-password>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/primula/api/v3/sessions")
.header("Content-Type", "application/json")
.body("{\n \"username\": \"example.user\",\n \"password\": \"<your-password>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/primula/api/v3/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"username\": \"example.user\",\n \"password\": \"<your-password>\"\n}"
response = http.request(request)
puts response.read_body{
"access_token": "<access-token>",
"refresh_token": "<refresh-token>"
}{
"error": "Invalid or missing parameters or request body."
}{
"error": "Invalid credentials"
}{
"error": "The path exists but does not support this HTTP method."
}{
"error": "The request Content-Type must be application/json; charset parameters are accepted."
}{
"error": "The operation could not be completed."
}Sessions
Create a session
Authenticate with username and password. A single JSON object is required and unknown properties are rejected. Returns access_token and refresh_token with HTTP 201; V3 has no refresh or logout operation.
POST
/
sessions
Create a session
curl --request POST \
--url https://{host}/primula/api/v3/sessions \
--header 'Content-Type: application/json' \
--data '
{
"username": "example.user",
"password": "<your-password>"
}
'import requests
url = "https://{host}/primula/api/v3/sessions"
payload = {
"username": "example.user",
"password": "<your-password>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({username: 'example.user', password: '<your-password>'})
};
fetch('https://{host}/primula/api/v3/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/primula/api/v3/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'username' => 'example.user',
'password' => '<your-password>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/primula/api/v3/sessions"
payload := strings.NewReader("{\n \"username\": \"example.user\",\n \"password\": \"<your-password>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/primula/api/v3/sessions")
.header("Content-Type", "application/json")
.body("{\n \"username\": \"example.user\",\n \"password\": \"<your-password>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/primula/api/v3/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"username\": \"example.user\",\n \"password\": \"<your-password>\"\n}"
response = http.request(request)
puts response.read_body{
"access_token": "<access-token>",
"refresh_token": "<refresh-token>"
}{
"error": "Invalid or missing parameters or request body."
}{
"error": "Invalid credentials"
}{
"error": "The path exists but does not support this HTTP method."
}{
"error": "The request Content-Type must be application/json; charset parameters are accepted."
}{
"error": "The operation could not be completed."
}